Upload attachments to support tickets

Upload files as attachments to your support tickets. This is useful for sending screenshots, log files, or other documentation to help the support team resolve your issue faster.

Support System Tickets

Context

Used in the dashboard

/support /admin/ticket/[id]

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.fileName string required · Example: Screenshot_from_2026-01-30_15-08-17.png
data.key string required · Example: support-tickets/eb72d6ef/1769765989279-fa96b384c5ee57212cb199dbe72f28ba-Screenshot_from...
data.mimeType string · enum required · Example: image/png
application/pdf
image/jpeg
image/png
data.originalName string required · Example: Screenshot from 2026-01-30 15-08-17.png
data.size integer required · Example: 88115
data.uploadedAt string required · Example: 2026-02-10T00:00:00.000Z
data.url string required · Example: https://attatchments.hostup.se/support-tickets/eb72d6ef/1769765989279-fa96b384c5ee57212...
data.verified boolean required · Example: true
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/upload/support-attachment
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/upload/support-attachment" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "url": "https://attatchments.hostup.se/support-tickets/eb72d6ef/1769765989279-fa96b384c5ee57212cb199dbe72f28ba-Screenshot_from_2026-01-30_15-08-17.png",
    "key": "support-tickets/eb72d6ef/1769765989279-fa96b384c5ee57212cb199dbe72f28ba-Screenshot_from_2026-01-30_15-08-17.png",
    "fileName": "Screenshot_from_2026-01-30_15-08-17.png",
    "originalName": "Screenshot from 2026-01-30 15-08-17.png",
    "size": 88115,
    "mimeType": "image/png",
    "verified": true,
    "uploadedAt": "2026-02-10T00:00:00.000Z"
  }
}